# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'full_lengther_next/version'

Gem::Specification.new do |spec|
  spec.name          = "full_lengther_next"
  spec.version       = FullLengtherNext::VERSION
  spec.authors       = ['Pedro Seoane', 'Noe Fernandez', 'Dario Guerrero']
  spec.email         = ['seoanezonjic@hotmail.com', 'noeisneo@gmail.com', 'dariogf@gmail.com']

  spec.summary       = %q{Tool to annotate transcriptomes and it is able to stablish the integrity of each transcript. Also, FLN can detect novel genes on a target organism. }
  spec.description   = %q{FULL-LENGTHERNEXT is a tool adapted to NGS technologies, able to work in parallel and in a distributed way to minimise computing time. It is able to classify unigenes to full-length, 5’-end, 3’-end and internal, suggesting which unknown genes are coding or not. It will be also shown that FULL-LENGTHERNEXT fixes frame shifts, one of the main mistake found in wrong entries of full-length sequences databases, and it is a fast tool to compare different transcriptome assemblies.}
  spec.homepage      = "https://github.com/seoanezonjic"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  
  spec.add_runtime_dependency 'xml-simple'
  spec.add_runtime_dependency 'scbi_fasta'
  spec.add_runtime_dependency 'scbi_blast'
  spec.add_runtime_dependency 'scbi_mapreduce'
  spec.add_runtime_dependency 'scbi_zcat'
  spec.add_runtime_dependency 'bio-cd-hit-report'
  spec.add_runtime_dependency 'report_html'


  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
